// lcd.h

/*********************************************************************
* Software License Agreement:
h*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*********************************************************************/
#ifndef __LCD_H
#define __LCD_H
#include "seven_seg.h"
#include "GenericTypeDefs.h"

typedef union
{
    UINT16    val;
    struct
    {
        unsigned    digit0 : 6;
        unsigned    digit1 : 6;
        unsigned    digit2 : 6;
        unsigned    digit3 : 6;
    };
} BCD_TYPE;

void    lcd_init(void);
BOOL    lcd_display_digits(BCD_TYPE);
void    lcd_display_on(void);
void    lcd_display_off(void);

// Glass pin 9
#define E3  SEG4COM0

// Glass pin 10
#define D3  SEG5COM0

// Glass pin 11
#define C3  SEG21COM0

// Glass pin 13
#define E2  SEG22COM0

// Glass pin 14
#define D2  SEG23COM0

// Glass pin 15
#define C2  SEG2COM0

// Glass pin 16
#define DP1 SEG1COM0

// Glass pin 17
#define E1  SEG3COM0

// Glass pin 18
#define D1  SEG16COM0

// Glass pin 19
#define C1  SEG10COM0

// Glass pin 20
#define B1  SEG9COM0

// Glass pin 21
#define A1  SEG8COM0

// Glass pin 22
#define F1  SEG17COM0

// Glass pin 23
#define G1  SEG18COM0

// Glass pin 24
#define B2  SEG19COM0

// Glass pin 25
#define A2  SEG20COM0

// Glass pin 26
#define F2  SEG0COM0

// Glass pin 27
#define G2  SEG14COM0

// Glass pin 29
#define B3  SEG13COM0

// Glass pin 30
#define A3  SEG12COM0

// Glass pin 31
#define F3  SEG7COM0

// Glass pin 32
#define G3  SEG15COM0



#endif // __LCD_H
